[Japanese]

JVNDB-2011-000007

Cisco Linksys WRT54GC vulnerable to buffer overflow

Overview

Cisco Linksys WRT54GC provided by Cisco Systems contains a buffer overflow vulnerability.

Cisco Linksys WRT54GC provided by Cisco Systems is a network router. Cisco Linksys WRT54GC contains a buffer overflow vulnerability.

Yuji Ukai of Fourteenforty Research Institute, Inc. reported this vulnerability to IPA.
JPCERT/CC coordinated with the vendor under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 7.8 (High) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: None
  • Confidentiality Impact: None
  • Integrity Impact: None
  • Availability Impact: Complete

Affected Products


Cisco Systems, Inc.
  • Cisco Linksys WRT54GC firmware prior to 1.6.01

Impact

When processing a specially crafted HTTP request, the router may crash resulting in a denial-of-service (DoS).
Solution

[Update the software]
Update to the latest version according to the information provided by the developer.
Vendor Information

Cisco Systems, Inc.
  • Cisco Systems Inc : 22228
CWE (What is CWE?)

  1. Buffer Errors(CWE-119) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2011-0352
References

  1. JVN : JVN#26605630
  2. National Vulnerability Database (NVD) : CVE-2011-0352
  3. IPA SECURITY ALERTS : Security Alert for Vulnerability in Cisco Linksys WRT54GC
  4. Secunia Advisory : SA43017
Revision History

[2011/01/21]
  Web page published